## rust-defaults 1.76.0ubuntu1

=== debian/changelog ===
rust-defaults (1.76.0ubuntu1) oracular; urgency=medium

  * Initial release. (LP: #2054748)

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 02 Jul 2024 16:53:10 +0000
