## rust-defaults 1.80.1ubuntu1

=== debian/changelog ===
rust-defaults (1.80.1ubuntu1) oracular; urgency=medium

  * Moving default version of Rust compiler to 1.80.1

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 13 Aug 2024 08:03:21 -0400
