## rust-defaults 1.80.1ubuntu2

=== debian/changelog ===
rust-defaults (1.80.1ubuntu2) oracular; urgency=medium

  * Fix cargo zsh completion. (LP: #2081266)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 20 Sep 2024 09:22:15 +0200
