## rust-defaults 1.81

=== debian/changelog ===
rust-defaults (1.81) unstable; urgency=medium

  * Update to 1.81.

 -- Mingcong Bai <baimingcong@uniontech.com>  Fri, 18 Oct 2024 14:43:55 +0800
