## rust-defaults 1.83.0ubuntu1

=== debian/changelog ===
rust-defaults (1.83.0ubuntu1) plucky; urgency=medium

  * Moving default version of Rust compiler to 1.83.0

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 17 Dec 2024 12:47:30 -0700
