## rust-defaults 1.84.0ubuntu1

=== debian/changelog ===
rust-defaults (1.84.0ubuntu1) plucky; urgency=medium

  * Moving default version of Rust compiler to 1.84.0 (LP: #2093796)

 -- Zixing Liu <zixing.liu@canonical.com>  Mon, 20 Jan 2025 13:17:49 -0700
