## rust-defaults 1.85.1ubuntu1

=== debian/changelog ===
rust-defaults (1.85.1ubuntu1) questing; urgency=medium

  * d/rules: Move default version of Rust compiler to 1.85.1 (LP: #2109761)

 -- Max Gilmour <max.gilmour@canonical.com>  Fri, 20 Jun 2025 12:22:48 -0700
