=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,8 @@
 # architecture dependent variables
 include /usr/share/dpkg/architecture.mk
 
-CURRENT_VERSION := 1.84
-REQV            := (>= 1.84.0~)
+CURRENT_VERSION := 1.85
+REQV            := (>= 1.85.1~)
 
 CV_RUST      := $(CURRENT_VERSION)-0.1
 PV_RUST      := $(CURRENT_VERSION)
