## rust-defaults 1.88.0ubuntu1

=== debian/changelog ===
rust-defaults (1.88.0ubuntu1) resolute; urgency=medium

  [ Max Gilmour ]
  * d/rules: move default version of Rust toolchain to 1.88.0 (LP: #2127863)
  * Fix /usr/lib/rustlib file conflict issue on upgrade (LP: #2119014)
    - d/rules,d/architecture.mk: define substitution variables for dh_install
    - d/rustc.links: replace rustlib link with link to arch-specific child dir

  [ Simon Chopin ]
  * rust-src: fix symlink by redirecting through /u/l/rust-XX (LP: #2127125)

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 15 Oct 2025 16:57:02 +0200
