=== debian/rules ===
--- 
+++ 
@@ -7,16 +7,20 @@
 include /usr/share/dpkg/pkg-info.mk
 # architecture dependent variables
 include /usr/share/dpkg/architecture.mk
+# defines DEB_*_RUST_TYPE triples
+include debian/architecture.mk
 
-CURRENT_VERSION := 1.85
-REQV            := (>= 1.85.1~)
+CURRENT_VERSION := 1.88
+REQV            := (>= 1.88.0~)
 
 CV_RUST      := $(CURRENT_VERSION)-0.1
 PV_RUST      := $(CURRENT_VERSION)
 distribution := $(shell lsb_release -is)
 packages     := rustc libstd-rust-dev rust-gdb rust-lldb rust-doc rust-src rust-clippy rustfmt rust-all cargo cargo-doc
 
+# for dh_install substitution variables
 export RUST_VERSION = $(CURRENT_VERSION)
+export DEB_HOST_RUST_TYPE
 
 debian/substvars.local: debian/rules
 	( \
