## rust-defaults 1.88.0ubuntu2

=== debian/changelog ===
rust-defaults (1.88.0ubuntu2) resolute; urgency=medium

  * Fix issue with rust-lld and other broken symlinks (LP: #2133249)
  * Add autopkgtest to check existence of symlinked binaries

 -- Brent Kerby <brent.kerby@canonical.com>  Tue, 02 Dec 2025 11:53:07 -0700
