=== debian/tests/control ===
Tests: rustc-links
Depends: rustc, lld-20, clang-20, llvm-20
