## rust-defaults 1.88.0ubuntu3

=== debian/changelog ===
rust-defaults (1.88.0ubuntu3) resolute; urgency=medium

  * d/rustc.maintscript: Fix /usr/share/rustc upgrade (LP: #2130706)
  * d/tests/{control,architecture-mk-works}: Add lp2130706 regression test

 -- Max Gilmour <max.gilmour@canonical.com>  Mon, 08 Dec 2025 08:02:32 -0800
